On Error Resume Next
Dim objFile
Set objFile = CreateObject("Scripting.FileSystemObject")

Set arqSaida = objFile.CreateTextFile("C:\Inventario.txt", true)
arqSaida.WriteLine(Now)
arqSaida.WriteBlankLines(1)

For Each Diretorio In objFile.GetFolder("C:\").SubFolders
	ProcuraArquivos(Diretorio)
Next


'**** Executado a cada diretorio encontrado
Sub ProcuraArquivos(Diretorio)
	arqSaida.WriteLine("Examinando " & Diretorio)
	'Para cada arquivo do diretorio cria uma linha
	For Each Arquivo In Diretorio.Files
		arqSaida.WriteLine(Arquivo.Name & ", " & Arquivo.Size)
		If Err.Number <> 0 Then
			arqSaida.WriteLine("****" & err.Description & "****")
			Err.Clear
		End If
	Next
	If Err.Number <> 0 Then
		arqSaida.WriteLine("****" & err.Description & "****")
		Err.Clear
	End If
	arqSaida.WriteBlankLines(1)
	
	'Verifica se existem subdiretorio e se existir comea 
	'o processo para cada subdiretorio
	For Each SubDiretorios In Diretorio.SubFolders
		ProcuraArquivos(SubDiretorios)
	Next

End Sub